- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: "{{ munin_name }}"
      namespace: "{{ namespace }}"
    policy_name: "{{ munin_name }}-to-{{ postfix_name | default('postfix') }}"
    policy_namespace: "{{ postfix_namespace | default(namespace) }}"
    policy_state: "{{ 'present' if (do_network_policy
                                    and smtp_address | default(False))
                                else 'absent' }}"
    subject: "{{ postfix_name | default('postfix') }}"
    to:
    - number: "25"
    - number: "465"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: "{{ munin_name }}"
      namespace: "{{ namespace }}"
    policy_name: "{{ munin_name }}-to-{{ ldap_name | default('ldap') }}"
    policy_namespace: "{{ ldap_namespace | default(namespace) }}"
    policy_state: "{{ 'present' if (do_ldap
                                    and do_network_policy)
                                else 'absent' }}"
    subject: "{{ ldap_name | default('ldap') }}"
    to:
    - number: "1389"
    - number: "1636"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: "{{ munin_name }}"
      namespace: "{{ namespace }}"
    policy_name: "{{ munin_name }}-to-{{ lemon_name | default('lemon') }}"
    policy_namespace: "{{ ldap_namespace | default(namespace) }}"
    policy_state: "{{ 'present' if (do_lemon
                                    and do_network_policy)
                                else 'absent' }}"
    subject: "{{ lemon_name | default('lemon') }}"
    to:
    - number: "8080"
- include_role:
    name: commons
    tasks_from: helpers/volume.yaml
  vars:
    vol_name: "{{ munin_name }}"
    vol_size: "{{ munin_data_capacity }}"
- include_role:
    name: commons
    tasks_from: helpers/deployment.yaml
  vars:
    cone_cpu_limit: "{{ munin_cpu_limit }}"
    cone_cpu_request: "{{ munin_cpu_request }}"
    cone_idx: "{{ 2 if (do_exporters)
                    else 1 }}"
    cone_memory_limit: "{{ munin_memory_limit }}"
    cone_memory_request: "{{ munin_memory_request }}"
    cone_tag: "{{ munin_tag }}"
    ctoo_cpu_limit: "{{ munin_node_cpu_limit }}"
    ctoo_cpu_request: "{{ munin_node_cpu_request }}"
    ctoo_idx: "{{ 3 if (do_exporters)
                    else 2 }}"
    ctoo_memory_limit: "{{ munin_node_memory_limit }}"
    ctoo_memory_request: "{{ munin_node_memory_request }}"
    ctoo_tag: "{{ munin_tag }}"
    ctree_cpu_limit: "{{ sshd_cpu_limit }}"
    ctree_cpu_request: "{{ sshd_cpu_request }}"
    ctree_idx: "{{ 4 if (do_exporters
                         and do_backups)
                     else (3 if (do_backups)
                           else 0) }}"
    ctree_memory_limit: "{{ sshd_memory_limit }}"
    ctree_memory_request: "{{ sshd_memory_request }}"
    ctree_tag: "{{ sshd_tag }}"
    cpu_limit: "{{ munin_web_cpu_limit }}"
    cpu_request: "{{ munin_web_cpu_request }}"
    dc_data: "{{ lookup('template', 'munin.j2') }}"
    dc_name: "{{ munin_name }}"
    dc_replicas: "{{ munin_replicas }}"
    dc_tag: "{{ munin_tag }}"
    exporter_idx: 1
    exporter_tag: "{{ httpexporter_tag }}"
    memory_limit: "{{ munin_web_memory_limit }}"
    memory_request: "{{ munin_web_memory_request }}"
- include_role:
    name: commons
    tasks_from: helpers/service.yaml
  vars:
    ports:
    - 8080
    svc_name: "{{ munin_name }}"
- include_role:
    name: commons
    tasks_from: helpers/route.yaml
  vars:
    route_host: "{{ munin_fqdn }}"
    route_name: "{{ munin_name }}"
    svc_name: "{{ munin_name }}"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - namespace: "{{ default_namespace_match }}"
    policy_name: "public-to-{{ munin_name }}"
    policy_state: "{{ 'present' if (do_network_policy)
                                else 'absent' }}"
    subject: "{{ munin_name }}"
    to:
    - number: "8080"
- include_role:
    name: commons
    tasks_from: helpers/service.yaml
  vars:
    is_exporter: True
    ports:
    - 9113
    svc_name: "{{ munin_name }}"
    svc_state: "{{ 'present' if (do_exporters)
                             else 'absent' }}"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - namespace: "{{ prometheus_namespace_match }}"
    policy_name: "prometheus-to-{{ munin_name }}"
    policy_state: "{{ 'present' if (do_exporters
                                    and do_network_policy)
                                else 'absent' }}"
    subject: "{{ munin_name }}"
    to:
    - number: "9113"
- include_role:
    name: commons
    tasks_from: helpers/service.yaml
  vars:
    ports:
    - 2222
    svc_name: "backups-{{ munin_name }}"
    svc_selector: "{{ munin_name }}"
    svc_state: "{{ 'present' if (do_backups)
                             else 'absent' }}"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: k8s-backups
    policy_matchkey: backups-opsperator
    policy_name: "backups-to-{{ munin_name }}"
    policy_state: "{{ 'present' if (do_network_policy
                                    and do_backups)
                                else 'absent' }}"
    subject: "{{ munin_name }}"
    to:
    - number: "2222"
- include_role:
    name: commons
    tasks_from: helpers/wait-for.yaml
  vars:
    check_with: "{{ lookup('k8s', api_version=deployment_apivers,
                           kind=deployment_kind, namespace=namespace,
                           resource_name=munin_name) | default('') }}"
    obj_name: "{{ munin_name }}"
    retries_for: 60
    wait_for: 10
  when:
  - dc_started is defined
  - dc_started is changed
